<?php 

	$supermart_ecommerce_custom_style = '';
	
	// Logo Size
	$supermart_ecommerce_logo_top_margin = get_theme_mod('supermart_ecommerce_logo_top_margin');
	$supermart_ecommerce_logo_bottom_margin = get_theme_mod('supermart_ecommerce_logo_bottom_margin');
	$supermart_ecommerce_logo_left_margin = get_theme_mod('supermart_ecommerce_logo_left_margin');
	$supermart_ecommerce_logo_right_margin = get_theme_mod('supermart_ecommerce_logo_right_margin');

	if( $supermart_ecommerce_logo_top_margin != '' || $supermart_ecommerce_logo_bottom_margin != '' || $supermart_ecommerce_logo_left_margin != '' || $supermart_ecommerce_logo_right_margin != ''){
		$supermart_ecommerce_custom_style .=' .logo {';
			$supermart_ecommerce_custom_style .=' margin-top: '.esc_attr($supermart_ecommerce_logo_top_margin).'px;
			margin-bottom: '.esc_attr($supermart_ecommerce_logo_bottom_margin).'px;
			margin-left: '.esc_attr($supermart_ecommerce_logo_left_margin).'px;
			margin-right: '.esc_attr($supermart_ecommerce_logo_right_margin).'px;';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_logo_size = get_theme_mod('supermart_ecommerce_logo_size');
	if( $supermart_ecommerce_logo_size != '' ){
		$supermart_ecommerce_custom_style .=' .custom-logo-link img {';
			$supermart_ecommerce_custom_style .=' width: '.esc_attr($supermart_ecommerce_logo_size).'%;';
		$supermart_ecommerce_custom_style .=' }';
	}

	// Site Title Font Size
	$supermart_ecommerce_site_title_fontsize = get_theme_mod('supermart_ecommerce_site_title_fontsize');
	if( $supermart_ecommerce_site_title_fontsize != ''){
		$supermart_ecommerce_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$supermart_ecommerce_custom_style .=' font-size: '.esc_attr($supermart_ecommerce_site_title_fontsize).'px;';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_site_title_color = get_theme_mod('supermart_ecommerce_site_title_color');
	if( $supermart_ecommerce_site_title_color != ''){
		$supermart_ecommerce_custom_style .=' .logo h1.site-title, .logo p.site-title a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_site_title_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	// Site Tagline Font Size
	$supermart_ecommerce_site_tagline_font_size = get_theme_mod('supermart_ecommerce_site_tagline_font_size');
	if( $supermart_ecommerce_site_tagline_font_size != ''){
		$supermart_ecommerce_custom_style .=' p.site-description {';
			$supermart_ecommerce_custom_style .=' font-size: '.esc_attr($supermart_ecommerce_site_tagline_font_size).'px;';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_site_tagline_color = get_theme_mod('supermart_ecommerce_site_tagline_color');
	if( $supermart_ecommerce_site_tagline_color != ''){
		$supermart_ecommerce_custom_style .=' p.site-description {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_site_tagline_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	//layout width
	$supermart_ecommerce_boxfull_width = get_theme_mod('supermart_ecommerce_boxfull_width');
	if ($supermart_ecommerce_boxfull_width !== '') {
		switch ($supermart_ecommerce_boxfull_width) {
			case 'container':
				$supermart_ecommerce_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$supermart_ecommerce_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$supermart_ecommerce_dropdown_anim = get_theme_mod('supermart_ecommerce_dropdown_anim');

	if ( $supermart_ecommerce_dropdown_anim != '') {
		$supermart_ecommerce_custom_style .=' .nav-menu ul ul {';
			$supermart_ecommerce_custom_style .=' animation:'.esc_attr($supermart_ecommerce_dropdown_anim).' 1s ease;';
		$supermart_ecommerce_custom_style .=' }';
	}

	//Header color
	$supermart_ecommerce_sale_text_color = get_theme_mod('supermart_ecommerce_sale_text_color');
	if( $supermart_ecommerce_sale_text_color != ''){
		$supermart_ecommerce_custom_style .=' .sale-banner p {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_sale_text_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_shop_btn_color = get_theme_mod('supermart_ecommerce_shop_btn_color');
	if( $supermart_ecommerce_shop_btn_color != ''){
		$supermart_ecommerce_custom_style .=' .sale-banner a.shop-btn {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_shop_btn_color).'; border-color: '.esc_attr($supermart_ecommerce_shop_btn_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_phone_no_color = get_theme_mod('supermart_ecommerce_phone_no_color');
	if( $supermart_ecommerce_phone_no_color != ''){
		$supermart_ecommerce_custom_style .=' .bottom-header .phone a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_phone_no_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_menu_color = get_theme_mod('supermart_ecommerce_menu_color');
	if( $supermart_ecommerce_menu_color != ''){
		$supermart_ecommerce_custom_style .=' .nav-menu ul li a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_menu_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_menuhvr_color = get_theme_mod('supermart_ecommerce_menuhvr_color');
	if( $supermart_ecommerce_menuhvr_color != ''){
		$supermart_ecommerce_custom_style .=' .nav-menu ul li a:hover {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_menuhvr_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_submenu_color = get_theme_mod('supermart_ecommerce_submenu_color');
	$supermart_ecommerce_submenubg_color = get_theme_mod('supermart_ecommerce_submenubg_color');
	if( $supermart_ecommerce_submenu_color != ''){
		$supermart_ecommerce_custom_style .=' .nav-menu ul ul a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_submenu_color).'; background-color: '.esc_attr($supermart_ecommerce_submenubg_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_topbarbg_color = get_theme_mod('supermart_ecommerce_topbarbg_color');
	if( $supermart_ecommerce_topbarbg_color != ''){
		$supermart_ecommerce_custom_style .=' .sale-banner {';
			$supermart_ecommerce_custom_style .=' background-color: '.esc_attr($supermart_ecommerce_topbarbg_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	//Slider color
	$supermart_ecommerce_slider_title_fontsize = get_theme_mod('supermart_ecommerce_slider_title_fontsize');
	if( $supermart_ecommerce_slider_title_fontsize != ''){
		$supermart_ecommerce_custom_style .=' #slider h2 {';
			$supermart_ecommerce_custom_style .=' font-size: '.esc_attr($supermart_ecommerce_slider_title_fontsize).'px;';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_slider_text_fontsize = get_theme_mod('supermart_ecommerce_slider_text_fontsize');
	if( $supermart_ecommerce_slider_text_fontsize != ''){
		$supermart_ecommerce_custom_style .=' #slider p {';
			$supermart_ecommerce_custom_style .=' font-size: '.esc_attr($supermart_ecommerce_slider_text_fontsize).'px;';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_slider_opacity = get_theme_mod('supermart_ecommerce_slider_opacity');
	if( $supermart_ecommerce_slider_opacity != ''){
		$supermart_ecommerce_custom_style .=' #slider .carousel-caption .overlay, .collection .outer-box .overlay {';
			$supermart_ecommerce_custom_style .=' opacity: '.esc_attr($supermart_ecommerce_slider_opacity).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_slidertitle_color = get_theme_mod('supermart_ecommerce_slidertitle_color');
	if( $supermart_ecommerce_slidertitle_color != ''){
		$supermart_ecommerce_custom_style .=' #slider h2 a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_slidertitle_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_slidertext_color = get_theme_mod('supermart_ecommerce_slidertext_color');
	if( $supermart_ecommerce_slidertext_color != ''){
		$supermart_ecommerce_custom_style .='  #slider p {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_slidertext_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_sliderbtn_color = get_theme_mod('supermart_ecommerce_sliderbtn_color');
	if( $supermart_ecommerce_sliderbtn_color != ''){
		$supermart_ecommerce_custom_style .='  #slider a.read-btn {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_sliderbtn_color).'; border-color: '.esc_attr($supermart_ecommerce_sliderbtn_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_sliderbtnhvr_color = get_theme_mod('supermart_ecommerce_sliderbtnhvr_color');
	if( $supermart_ecommerce_sliderbtnhvr_color != ''){
		$supermart_ecommerce_custom_style .=' #slider a.read-btn:hover {';
			$supermart_ecommerce_custom_style .=' background-color: '.esc_attr($supermart_ecommerce_sliderbtnhvr_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_slideroverlay_color = get_theme_mod('supermart_ecommerce_slideroverlay_color');
	if( $supermart_ecommerce_slideroverlay_color != ''){
		$supermart_ecommerce_custom_style .=' #slider .carousel-caption .overlay {';
			$supermart_ecommerce_custom_style .=' background-color: '.esc_attr($supermart_ecommerce_slideroverlay_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_slidernp_color = get_theme_mod('supermart_ecommerce_slidernp_color');
	$supermart_ecommerce_slidernpbg_color = get_theme_mod('supermart_ecommerce_slidernpbg_color');
	if( $supermart_ecommerce_slidernp_color != ''){
		$supermart_ecommerce_custom_style .=' #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_slidernp_color).'; background-color: '.esc_attr($supermart_ecommerce_slidernpbg_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	//Collection color
	$supermart_ecommerce_collection_fontsize = get_theme_mod('supermart_ecommerce_collection_fontsize');
	if( $supermart_ecommerce_collection_fontsize != ''){
		$supermart_ecommerce_custom_style .=' .collection .outer-box h3 a  {';
			$supermart_ecommerce_custom_style .=' font-size: '.esc_attr($supermart_ecommerce_collection_fontsize).'px;';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_collection_title_color = get_theme_mod('supermart_ecommerce_collection_title_color');
	if( $supermart_ecommerce_collection_title_color != ''){
		$supermart_ecommerce_custom_style .=' .collection .outer-box h3 a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_collection_title_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_collection_overlay_color = get_theme_mod('supermart_ecommerce_collection_overlay_color');
	if( $supermart_ecommerce_collection_overlay_color != ''){
		$supermart_ecommerce_custom_style .=' .collection .outer-box .overlay {';
			$supermart_ecommerce_custom_style .=' background-color: '.esc_attr($supermart_ecommerce_collection_overlay_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	//product color
	$supermart_ecommerce_product_title_color = get_theme_mod('supermart_ecommerce_product_title_color');
	if( $supermart_ecommerce_product_title_color != ''){
		$supermart_ecommerce_custom_style .=' #product-section h3 {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_product_title_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_product_text_color = get_theme_mod('supermart_ecommerce_product_text_color');
	if( $supermart_ecommerce_product_text_color != ''){
		$supermart_ecommerce_custom_style .=' #product-section p {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_product_text_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	// Copyright padding
	$supermart_ecommerce_copyright_padding = get_theme_mod('supermart_ecommerce_copyright_padding');
	if( $supermart_ecommerce_copyright_padding != ''){
		$supermart_ecommerce_custom_style .=' .site-info {';
			$supermart_ecommerce_custom_style .=' padding-top: '.esc_attr($supermart_ecommerce_copyright_padding).'px; padding-bottom: '.esc_attr($supermart_ecommerce_copyright_padding).'px;';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_copyright_color = get_theme_mod('supermart_ecommerce_copyright_color');
	if( $supermart_ecommerce_copyright_color != ''){
		$supermart_ecommerce_custom_style .=' .site-info p, .site-info a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_copyright_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_copyrightbg_color = get_theme_mod('supermart_ecommerce_copyrightbg_color');
	if( $supermart_ecommerce_copyrightbg_color != ''){
		$supermart_ecommerce_custom_style .=' .copyright {';
			$supermart_ecommerce_custom_style .=' background-color: '.esc_attr($supermart_ecommerce_copyrightbg_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_footer_widgets_color = get_theme_mod('supermart_ecommerce_footer_widgets_color');
	if( $supermart_ecommerce_footer_widgets_color != ''){
		$supermart_ecommerce_custom_style .=' .site-footer h2.widget-title {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_footer_widgets_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_footer_widgets_menu_color = get_theme_mod('supermart_ecommerce_footer_widgets_menu_color');
	if( $supermart_ecommerce_footer_widgets_menu_color != ''){
		$supermart_ecommerce_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$supermart_ecommerce_custom_style .=' color: '.esc_attr($supermart_ecommerce_footer_widgets_menu_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}

	$supermart_ecommerce_footerbg_color = get_theme_mod('supermart_ecommerce_footerbg_color');
	if( $supermart_ecommerce_footerbg_color != ''){
		$supermart_ecommerce_custom_style .=' #colophon {';
			$supermart_ecommerce_custom_style .=' background-color: '.esc_attr($supermart_ecommerce_footerbg_color).';';
		$supermart_ecommerce_custom_style .=' }';
	}